IWORKShape.h File Reference
`#include <memory>`
`#include "IWORKPath_fwd.h"`
`#include "IWORKStyle.h"`
`#include "IWORKText_fwd.h"`

Go to the source code of this file.

## Classes
struct | libetonyek::IWORKShape
| Representation of a shape. More...

## Namespaces
namespace | libetonyek

## Typedefs
typedef std::shared_ptr< IWORKShape > | libetonyek::IWORKShapePtr_t

## Functions
IWORKPathPtr_t | libetonyek::makePolygonPath (const IWORKSize &size, unsigned edges)
| Path creator functions for stock shapes.
IWORKPathPtr_t | libetonyek::makeRoundedRectanglePath (const IWORKSize &size, const double radius)
IWORKPathPtr_t | libetonyek::makeArrowPath (const IWORKSize &size, const double headWidth, const double stemThickness)
IWORKPathPtr_t | libetonyek::makeDoubleArrowPath (const IWORKSize &size, const double headWidth, const double stemThickness)
IWORKPathPtr_t | libetonyek::makeStarPath (const IWORKSize &size, const unsigned points, const double innerRadius)
IWORKPathPtr_t | libetonyek::makeCalloutPath (const IWORKSize &size, const double radius, const double tailSize, const double tailX, const double tailY)
IWORKPathPtr_t | libetonyek::makeQuoteBubblePath (const IWORKSize &size, const double radius, const double tailSize, const double tailX, const double tailY)